Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class EventTarget

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.EventTarget

    public class EventTarget

extends JavaScriptObject

Represents the target of a JavaScript event.

This type is returned from methods such as `NativeEvent.getEventTarget()`, and must usually be cast to another type using methods such as `Element.is(JavaScriptObject)` and `Element.as(JavaScriptObject)`.

This class intentionally does not specify the methods from the DOM IDL (dispatchEvent, addEventListener, and removeEventListener).

Constructor Summary
`protected` | `EventTarget()`

Method Summary

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventTarget

    protected EventTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD